## libcrc-ocaml 0.9.1

=== Makefile ===
all: build

TESTS_FLAG=--enable-tests

NAME=crc
J=4

LIBDIR=_build/lib

setup.ml: _oasis
	oasis setup

setup.data: setup.ml
	ocaml setup.ml -configure $(TESTS_FLAG)

build: setup.data setup.ml
	ocaml setup.ml -build -j $(J)

doc: setup.data setup.ml
	ocaml setup.ml -doc -j $(J)

install: setup.data setup.ml
	ocaml setup.ml -install

uninstall:
	ocamlfind remove $(NAME)

test: setup.ml build
	LD_LIBRARY_PATH=$(LIBDIR):$(LD_LIBRARY_PATH) ./crc_test.byte
#	ocaml setup.ml -test

reinstall: setup.ml
	ocamlfind remove $(NAME) || true
	ocaml setup.ml -reinstall

clean:
	ocamlbuild -clean
	rm -f setup.data setup.log

=== debian/changelog ===
libcrc-ocaml (0.9.1-1) UNRELEASED; urgency=low

  * Update to 0.9.1

 -- David Scott <dave.scott@citrix.com>  Sat, 26 Apr 2014 12:00:00 +0000

libcrc-ocaml (0.9.0-1) UNRELEASED; urgency=low

  * Initial package

 -- John Else <john.else@citrix.com>  Thu, 12 Dec 2013 12:00:00 +0000

=== debian/control ===
Source: libcrc-ocaml
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 python,
 debhelper (>= 8),
 ocaml-findlib,
 ocaml-native-compilers,
 libounit-ocaml-dev,
 libcstruct-ocaml-dev

Package: libcrc-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 ocaml-nox,
 ocaml-native-compilers,
 ocaml-findlib
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: CRC implementation for OCaml
 CRC implementation for OCaml, allowing you to compute checksums of
 cstructs and strings.

Package: libcrc-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libcrc-ocaml (>= 0.9.1-1)
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-crc
 The ocaml-crc-devel package contains libraries and signature files
 for developing applications that use ocaml-crc.
